Subject: New version if IN2000 scsi driver available.
From: [email-masked] (Eric Youngdale)
Date: Mon, 4 Apr 1994 01:37:11 GMT
Newsgroups: comp.os.linux.announce

I have uploaded the new version of the in2000 driver to tsx-11 in
pub/linux/ALPHA/scsi/in2000/in2000.tar.gz.  I moved the old stuff to a
different directory to prevent confusion.  I expect that all of the mirror
sites should have it by now.

	The main difference is that this version is (should be) stable while
swapping, and in addition scatter-gather is now supported so that datarates of
roughly 500Kb/sec are now easily attained on disk drives (approximately 10
times the rate attained with the previous version).  The FIFO has been tamed so
that I/O requests do not need to be broken up into smaller pieces (as was
proposed at one time by someone).

	A handful of testers on the SCSI channel has tried this new version,
and so far there have not been any reported problems.  Thus the time has come
to expand the testing some more so that we can gain more confidence in the
driver.  If there are no reported problems after a suitable interval, I will
pass this driver along to Linus to be included in the main distribution.  I
wanted the swapping problems to be resolved before I could recommend that this
go in and so far it looks like that condition has now been met.

	Please be careful with this - it is ALPHA, and in theory you might lose
data with it.  You probably will not lose anything, but I am just covering my
ass here by issuing the standard disclaimer.

	Finally, I should point out that a number of different people worked on
this to get the driver into this state, and Bill Earnest did most of the work.
This was not easy, since his root partition is a scsi disk attached to an
in2000 card so he deserves a big round of applause and many rounds of virtual
beer for this.  There were some contributions from other people, and the
comments in in2000.c should list them.

	Good luck with this.  Obviously if you have any problems you can report
them to the SCSI channel.

-Eric
-- 
"The woods are lovely, dark and deep.  But I have promises to keep,
And lines to code before I sleep, And lines to code before I sleep."